This page was not yet optimized for use on mobile devices.
SUSE Linux Enterprise Server OpenSSL Cryptographic Module
Certificate details
| Certificate ID | #3991 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 22.07.2021 , 28.11.2021 , 12.10.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode and installed, initialized and configured as specified in section 9 of the Security Policy. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | OpenSSL is an open-source library of various cryptographic algorithms written mainly in C. |
| Tested configurations |
|
| Vendor | SUSE, LLC http://www.suse.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-256, AES-, CAST, CAST5, RC2, RC4, DES, Triple-DES, TripleDES, TDES, TDEA, ChaCha20, Poly1305, Camellia, ARIA, SM4, SEED, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
RSA 2048, ECDSA, ECC, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA256, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA-3, Blake2, MD4, MD5, PBKDFSchemes
MAC, Key Exchange, Key AgreementProtocols
SSH, SSHv2, TLS, TLS v1.3, TLS v1.0, TLSv1.2, DTLS, IKE, IKEv2Randomness
DRBG, RNGLibraries
OpenSSLElliptic Curves
P-256, P-384, P-521, P-224, P-192Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XEX, XTSTLS cipher suites
TLS_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_DH_DSS_WITH_AES_128_CBC_SHA, TLS_DH_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_DSS_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA, TLS_DH_DSS_WITH_AES_256_CBC_SHA, TLS_DH_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_DSS_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_DH_DSS_WITH_AES_128_CBC_SHA256, TLS_DH_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_DSS_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DH_DSS_WITH_AES_256_CBC_SHA256, TLS_DH_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_DSS_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_PSK_WITH_3DES_EDE_CBC_SHA, TLS_PSK_WITH_AES_128_CBC_SHA, TLS_PSK_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_128_GCM_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_DH_RSA_WITH_AES_128_GCM_SHA256, TLS_DH_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_DSS_WITH_AES_128_GCM_SHA256, TLS_DHE_DSS_WITH_AES_256_GCM_SHA384, TLS_DH_DSS_WITH_AES_128_GCM_SHA256, TLS_DH_DSS_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384, TLS_RSA_WITH_AES_128_CCM, TLS_RSA_WITH_AES_256_CCM, TLS_DHE_RSA_WITH_AES_128_CCM, TLS_DHE_RSA_WITH_AES_256_CCM, TLS_RSA_WITH_AES_128_CCM_8, TLS_RSA_WITH_AES_256_CCM_8, TLS_DHE_RSA_WITH_AES_128_CCM_8, TLS_DHE_RSA_WITH_AES_256_CCM_8JavaCard API constants
SM2Trusted Execution Environments
SSCSecurity level
level 1Side-channel analysis
Timing Attacks, timing attacksCross-references
Incoming- 4055 - historical - SUSE Linux Enterprise Server Libica Cryptographic Module
Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3991,
"dgst": "7e5b72c6fcb59280",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#A341",
"#A507",
"AES#A344",
"KAS#A364",
"KAS#A684",
"DRBG#A342",
"AES#A350",
"RSA#A360",
"SHA-3#A372",
"DSA#A1498",
"HMAC#A1498",
"SHA-3#A1498",
"ECDSA#A367",
"#A342",
"#A367",
"DRBG#A376",
"PBKDF#A365",
"AES#A343",
"#A373",
"#A378",
"SHA-3#A507",
"HMAC#A374",
"AES#A362",
"KAS#A353",
"CVL#A385",
"AES#A340",
"PBKDF#A359",
"KTS#A345",
"AES#A357",
"#A360",
"RSA#A1498",
"#A358",
"#A348",
"#A368",
"#A385",
"SHA-3#A368",
"DRBG#A365",
"DSA#A386",
"DRBG#A382",
"#A343",
"#A341",
"HMAC#A365",
"KTS#A386",
"ECDSA#A386",
"CVL#A386",
"HMAC#A372",
"#A508",
"RSA#A367",
"KTS#A1498",
"AES#A358",
"KAS#A360",
"PBKDF#A364",
"#A357",
"#A381",
"CVL#A365",
"ECDSA#A1498",
"HMAC#A364",
"PBKDF#A360",
"SHS#A386",
"SHS#A353",
"AES#A508",
"KTS#A367",
"PBKDF#A367",
"PBKDF#A372",
"KAS#A365",
"SHA-3#A352",
"HMAC#A359",
"AES#A346",
"CVL#A1498",
"PBKDF#A386",
"SHA-3#A359",
"#A369",
"#A379",
"CVL#A353",
"#A377",
"#A353",
"AES#A377",
"ECDSA#A360",
"RSA#A353",
"#A345",
"RSA#A386",
"SHS#A365",
"CVL#A366",
"SHA-3#A374",
"KTS#A353",
"#A372",
"CVL#A355",
"HMAC#A360",
"KAS#A367",
"#A359",
"PBKDF#A352",
"RSA#A365",
"#A339",
"DRBG#A369",
"KTS#A347",
"AES#A381",
"DSA#A364",
"KAS#A386",
"HMAC#A353",
"#A351",
"CVL#A364",
"DRBG#A508",
"#A375",
"ECDSA#A353",
"DRBG#A375",
"DSA#A360",
"AES#A1498",
"KTS#A365",
"HMAC#A386",
"#A362",
"#A352",
"DRBG#A363",
"DRBG#A1498",
"#A380",
"#A346",
"#A347",
"AES#A509",
"DRBG#A383",
"#A684",
"AES#A379",
"CVL#A360",
"CVL#A367",
"RSA#A364",
"#A509",
"#A350",
"SHS#A360",
"HMAC#A368",
"#A355",
"#A363",
"ECDSA#A364",
"PBKDF#A353",
"PBKDF#A368",
"#A354",
"#A370",
"DSA#A367",
"Triple-DES#A347",
"PBKDF#A374",
"#A382",
"#A344",
"HMAC#A367",
"SHS#A367",
"DRBG#A348",
"Triple-DES#A345",
"PBKDF#A1498",
"#A365",
"DSA#A365",
"SHS#A1498",
"#A386",
"AES#A378",
"DSA#A353",
"AES#A373",
"#A374",
"HMAC#A352",
"KTS#A341",
"ECDSA#A365",
"#A376",
"AES#A354",
"AES#A349",
"AES#A351",
"#A340",
"#A366",
"KTS#A364",
"#A349",
"SHS#A364",
"CVL#A371",
"#A383",
"AES#A339",
"DRBG#A360",
"#A364",
"DRBG#A380",
"#A1498",
"KAS#A1498",
"KTS#A360",
"AES#A370",
"#A371"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"4055"
]
},
"directly_referencing": null,
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"4055"
]
},
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"4055"
]
},
"directly_referencing": null,
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"4055"
]
},
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDSA": {
"ECDSA": 33
}
},
"FF": {
"DSA": {
"DSA": 37
}
},
"RSA": {
"RSA 2048": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 10
},
"CCM": {
"CCM": 5
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 6
},
"GCM": {
"GCM": 13
},
"OFB": {
"OFB": 3
},
"XEX": {
"XEX": 1
},
"XTS": {
"XTS": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 49
}
},
"crypto_protocol": {
"IKE": {
"IKE": 3,
"IKEv2": 2
},
"SSH": {
"SSH": 15,
"SSHv2": 1
},
"TLS": {
"DTLS": {
"DTLS": 1
},
"TLS": {
"TLS": 71,
"TLS v1.0": 1,
"TLS v1.3": 2,
"TLSv1.2": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 8
},
"KEX": {
"Key Exchange": 3
},
"MAC": {
"MAC": 9
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-192": 6,
"P-224": 8,
"P-256": 12,
"P-384": 8,
"P-521": 6
}
},
"eval_facility": {
"atsec": {
"atsec": 45
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES CMAC 128": 1,
"AES GCM 128": 1,
"AES-128": 1,
"AES-192": 1,
"AES-256": 2,
"HMAC 128": 2,
"HMAC 192": 2,
"HMAC SHA-1": 2,
"HMAC-SHA-1": 4,
"HMAC-SHA-224": 4,
"HMAC-SHA-256": 6,
"HMAC-SHA-384": 4,
"HMAC-SHA-512": 4,
"PKCS#1": 4,
"RSA 2048": 1,
"SHA- 256": 1,
"SHA-1": 16,
"SHA-224": 17,
"SHA-256": 31,
"SHA-3": 8,
"SHA-384": 19,
"SHA-512": 10,
"SHA-512 1024": 3,
"SHA-512 112": 1,
"SHA-512 128": 1,
"SHA-512 192": 1,
"SHA-512 2048": 3,
"SHA256": 1,
"SHA3-224": 2,
"SHA3-256": 4,
"SHA3-384": 3,
"SHA3-512": 4,
"SHS 2": 1
}
},
"fips_security_level": {
"Level": {
"level 1": 3
}
},
"hash_function": {
"BLAKE": {
"Blake2": 2
},
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 3
}
},
"PBKDF": {
"PBKDF": 13
},
"SHA": {
"SHA1": {
"SHA-1": 16
},
"SHA2": {
"SHA-224": 17,
"SHA-256": 31,
"SHA-384": 19,
"SHA-512": 19,
"SHA256": 1
},
"SHA3": {
"SHA-3": 8,
"SHA3-224": 2,
"SHA3-256": 4,
"SHA3-384": 3,
"SHA3-512": 4
}
}
},
"ic_data_group": {},
"javacard_api_const": {
"curves": {
"SM2": 1
}
},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 31
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attacks": 2,
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 56,
"FIPS 186-4": 2,
"FIPS PUB 140-2": 2,
"FIPS180-4": 2,
"FIPS186-4": 14,
"FIPS197": 2,
"FIPS198-1": 2,
"FIPS202": 2
},
"NIST": {
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 2
},
"RFC": {
"RFC2246": 7,
"RFC3268": 13,
"RFC3526": 3,
"RFC4253": 1,
"RFC4279": 4,
"RFC4346": 1,
"RFC4492": 16,
"RFC5116": 1,
"RFC5246": 14,
"RFC5288": 14,
"RFC5289": 16,
"RFC5487": 1,
"RFC5489": 1,
"RFC6655": 9,
"RFC7251": 1,
"RFC7296": 2,
"RFC7919": 4
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 72,
"AES-": 1,
"AES-128": 1,
"AES-192": 1,
"AES-256": 2
},
"CAST": {
"CAST": 2,
"CAST5": 2
},
"RC": {
"RC2": 2,
"RC4": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 1,
"Triple-DES": 45,
"TripleDES": 1
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"CMAC": 12,
"HMAC": 31,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 3,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2
}
},
"djb": {
"ChaCha": {
"ChaCha20": 2
},
"Poly": {
"Poly1305": 2
}
},
"miscellaneous": {
"ARIA": {
"ARIA": 2
},
"Camellia": {
"Camellia": 2
},
"SEED": {
"SEED": 2
},
"SM4": {
"SM4": 1
}
}
},
"tee_name": {
"IBM": {
"SSC": 2
}
},
"tls_cipher_suite": {
"TLS": {
"TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_256_GCM_SHA384": 1,
"TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_128_CCM": 1,
"TLS_DHE_RSA_WITH_AES_128_CCM_8": 1,
"TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_CCM": 1,
"TLS_DHE_RSA_WITH_AES_256_CCM_8": 1,
"TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_128_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_128_CBC_SHA256": 1,
"TLS_DH_DSS_WITH_AES_128_GCM_SHA256": 1,
"TLS_DH_DSS_WITH_AES_256_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_256_CBC_SHA256": 1,
"TLS_DH_DSS_WITH_AES_256_GCM_SHA384": 1,
"TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DH_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DH_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DH_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDH_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_PSK_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_PSK_WITH_AES_128_CBC_SHA": 1,
"TLS_PSK_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_128_CCM": 1,
"TLS_RSA_WITH_AES_128_CCM_8": 1,
"TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_256_CCM": 1,
"TLS_RSA_WITH_AES_256_CCM_8": 1,
"TLS_RSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#A341",
"AES#A344",
"KAS#A684",
"KAS#A364",
"DRBG#A342",
"AES#A350",
"RSA#A360",
"SHA-3#A372",
"DSA#A1498",
"HMAC#A1498",
"SHA-3#A1498",
"ECDSA#A367",
"DRBG#A376",
"PBKDF#A365",
"AES#A343",
"SHA-3#A507",
"HMAC#A374",
"AES#A362",
"KAS#A353",
"CVL#A385",
"AES#A340",
"PBKDF#A359",
"KTS#A345",
"AES#A357",
"RSA#A1498",
"SHA-3#A368",
"DRBG#A365",
"DSA#A386",
"DRBG#A382",
"HMAC#A365",
"KTS#A386",
"ECDSA#A386",
"CVL#A386",
"HMAC#A372",
"RSA#A367",
"KTS#A1498",
"AES#A358",
"KAS#A360",
"PBKDF#A364",
"CVL#A365",
"ECDSA#A1498",
"HMAC#A364",
"PBKDF#A360",
"SHS#A386",
"SHS#A353",
"AES#A508",
"KTS#A367",
"PBKDF#A367",
"PBKDF#A372",
"KAS#A365",
"SHA-3#A352",
"HMAC#A359",
"AES#A346",
"CVL#A1498",
"PBKDF#A386",
"SHA-3#A359",
"CVL#A353",
"AES#A377",
"ECDSA#A360",
"RSA#A353",
"RSA#A386",
"SHS#A365",
"CVL#A366",
"SHA-3#A374",
"KTS#A353",
"CVL#A355",
"HMAC#A360",
"KAS#A367",
"PBKDF#A352",
"RSA#A365",
"DRBG#A369",
"KTS#A347",
"AES#A381",
"DSA#A364",
"KAS#A386",
"HMAC#A353",
"CVL#A364",
"DRBG#A508",
"ECDSA#A353",
"DRBG#A375",
"DSA#A360",
"AES#A1498",
"KTS#A365",
"HMAC#A386",
"DRBG#A363",
"DRBG#A1498",
"AES#A509",
"DRBG#A383",
"AES#A379",
"CVL#A360",
"CVL#A367",
"RSA#A364",
"SHS#A360",
"HMAC#A368",
"ECDSA#A364",
"PBKDF#A353",
"PBKDF#A368",
"DSA#A367",
"Triple-DES#A347",
"PBKDF#A374",
"HMAC#A367",
"SHS#A367",
"DRBG#A348",
"Triple-DES#A345",
"PBKDF#A1498",
"DSA#A365",
"SHS#A1498",
"AES#A378",
"DSA#A353",
"AES#A373",
"HMAC#A352",
"KTS#A341",
"ECDSA#A365",
"AES#A354",
"AES#A349",
"AES#A351",
"KTS#A364",
"SHS#A364",
"CVL#A371",
"AES#A339",
"DRBG#A360",
"DRBG#A380",
"KAS#A1498",
"KTS#A360",
"AES#A370"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A354",
"#A507",
"#A339",
"#A370",
"#A357",
"#A382",
"#A381",
"#A342",
"#A367",
"#A344",
"#A373",
"#A351",
"#A378",
"#A375",
"#A365",
"#A386",
"#A360",
"#A358",
"#A374",
"#A348",
"#A368",
"#A362",
"#A352",
"#A385",
"#A376",
"#A369",
"#A380",
"#A346",
"#A379",
"#A347",
"#A340",
"#A377",
"#A353",
"#A366",
"#A349",
"#A684",
"#A345",
"#A343",
"#A341",
"#A383",
"#A364",
"#A509",
"#A1498",
"#A350",
"#A355",
"#A363",
"#A508",
"#A372",
"#A359",
"#A371"
]
},
"policy_metadata": {
"/Author": "Traci Porter",
"/CreationDate": "D:20231010084618+02\u002700\u0027",
"/Creator": "Writer",
"/Keywords": "FIPS 140-2",
"/Producer": "OpenOffice 4.1.14",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 583499,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.ietf.org/rfc/rfc2246.txt",
"https://tools.ietf.org/html/rfc7251.txt",
"https://www.ietf.org/rfc/rfc3268.txt%20",
"https://www.ietf.org/rfc/rfc3447.txt",
"https://www.ietf.org/rfc/rfc4492.txt%20",
"https://tools.ietf.org/html/rfc7296.txt",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38e.pdf",
"https://tools.ietf.org/html/rfc5487.txt",
"http://csrc.nist.gov/",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
"https://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38a.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38b.pdf",
"https://www.ietf.org/rfc/rfc4346.txt%20",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-52r2.pdf",
"https://tools.ietf.org/html/rfc5288.txt",
"https://www.ietf.org/rfc/rfc5116.txt%20",
"https://www.ietf.org/rfc/rfc4279.txt%20",
"https://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-67r2.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"https://tools.ietf.org/html/rfc5489.txt",
"https://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Ar3.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38e.pdf",
"https://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-132.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38d.pdf",
"https://tools.ietf.org/html/rfc5246.txt%20",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"https://tools.ietf.org/html/rfc6655.txt"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 43
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "0bca50f1214b6945be48a57a2243e8ed272520b5851613923c042e085b859dba",
"source_hash": "79da0fc1afc3d0c18f0f6b2d31ff2b33e21f206b3a6e45dff41555786c5ee8c3",
"txt_hash": "af7ed8a193f7d2750aa71fdb8e0e801c0866d2ef2f1681367bdeb32afdc407a9"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and installed, initialized and configured as specified in section 9 of the Security Policy. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/July 2021_020821_0740_signed.pdf",
"date_sunset": null,
"description": "OpenSSL is an open-source library of various cryptographic algorithms written mainly in C.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "SUSE Linux Enterprise Server OpenSSL Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "4.1.1",
"tested_conf": [
"SUSE Linux Enterprise Server 15 SP2 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 with PAA",
"SUSE Linux Enterprise Server 15 SP2 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 without PAA",
"SUSE Linux Enterprise Server 15 SP2 running on Gigabyte R181-T90 with Cavium ThunderX2 CN9975 ARMv8 with PAA",
"SUSE Linux Enterprise Server 15 SP2 running on Gigabyte R181-T90 with Cavium ThunderX2 CN9975 ARMv8 without PAA (single-user mode)",
"SUSE Linux Enterprise Server 15 SP2 running on IBM System Z/15 with IBM z15 with PAI",
"SUSE Linux Enterprise Server 15 SP2 running on IBM System Z/15 with IBM z15 without PAI"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-07-22",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-11-28",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-10-12",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "SUSE, LLC",
"vendor_url": "http://www.suse.com"
}
}